package routes

import (
	"git.matterlinux.xyz/Matter/website/lib"
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/log"
)

func DownloadRoute(c *fiber.Ctx) error{
  con, err := lib.GetContent("", "download")
  if err != nil {
    log.Error("GetContent -> ", err)
    return lib.RenderError(c, 500)
  }

  return c.Render("download", fiber.Map{
    "readme": con,
  })
}
